Index: src/backend/commands/explain.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/commands/explain.c,v
retrieving revision 1.88
diff -u -r1.88 explain.c
--- src/backend/commands/explain.c	2002/09/19 22:48:33	1.88
+++ src/backend/commands/explain.c	2002/10/10 09:09:22
@@ -35,6 +35,7 @@
 	/* options */
 	bool		printCost;		/* print cost */
 	bool		printNodes;		/* do nodeToString() instead */
+	bool		printAnalyze;		/* print actual times */
 	/* other states */
 	List	   *rtable;			/* range table */
 } ExplainState;
@@ -405,6 +406,11 @@
 							 1000.0 * plan->instrument->total / nloops,
 							 plan->instrument->ntuples / nloops,
 							 plan->instrument->nloops);
+			es->printAnalyze = true;
+		}
+		else if( es->printAnalyze )
+		{
+			appendStringInfo(str, " (never executed)");
 		}
 	}
 	appendStringInfo(str, "\n");
